Subject: Re: [GROW] Discussion about: draft-cheng-grow-bgp-xml-00.txt from today's WG meeting

From: john heasley <[email-masked]>
Date: Tue, 21 Apr 2009 15:26:16 +0000

Thu, Mar 26, 2009 at 10:21:56AM -0700, David Meyer:
> > Additionally there was some discussion on 'what is important to
> > capture' in the XML format. I believe Dan had also mentioned (perhaps
> > not in the WG meeting) that there would be a common/available toolset
> > to convert from MRT -> XML and XML -> MRT, so in the case where you
> > have legacy data stores you could plan to process via a common
> > pipeline regardless of the data format you choose going forward.
> 
> 	heas has already written MRT -> 'sh ip bgp' (that's how
> 	we're generating 'sh ip bgp' format data these days). So
> 	if we have XML->MRT, then we can generate all formats in
> 	use today from the XML. That would be a great step forward.

I believe MRT is far more manageable for this data.  smaller, faster,
easier to deal with programmatically.  I'd go the other direction; generate
whatever format you want from the MRT.